//= require jquery
//= require jquery.turbolinks
//= require jquery_ujs
//= require jquery-ui
//= require turbolinks
//= require grow
//= require chartkick

function initTextArea() {
    $('textarea').autogrow();
    $(function () {
        $("textarea").each(function () {
            this.style.height = (this.scrollHeight + 10)+'px';
        });
    });
}

function flashMessage(message) { Materialize.toast(message, 1000) }

function showHiddenHover() {
    $('.show-hidden-hover').hover(
        function() { $(this).find('.hidden').fadeIn()  },
        function() { $(this).find('.hidden').fadeOut() }
    );
}

$(document).ajaxSuccess(function( event, xhr, settings ) {
    if (xhr.responseJSON) {
        if (xhr.responseJSON.message) {
            flashMessage(xhr.responseJSON.message)
        }
    }
});

$(document).ready(function(){
    $('.modal-trigger').leanModal();
    $('select').material_select();
    $('.collapsible').collapsible();
    $('pre code').each(function(i, block) { hljs.highlightBlock(block) })
    initTextArea();
    showHiddenHover();
});