module PagesCms
  class PagesController < ApplicationController

    def show
      @page = Page.find_by_slug(params[:slug])
      if @page
        render 'pages_cms/pages/show'
      else
        redirect_to root_path
      end
    end

    def blog
      slug  = params[:slug] || ''
      @blog = Blog.find_by_slug(slug)
      if @blog
        @articles = @blog.articles.search(params[:tags])
        render 'pages_cms/pages/blog'
      else
        redirect_to root_path
      end
    end

    def home
      @page = Page.home
      if @page
        render 'pages_cms/pages/show'
      else
        redirect_to '/404.html'
      end
    end

  end
end