module PagesCms
  module Admin::PagesHelper

    def content(obj)
      if obj.try(:content)
        obj.content
      else
        {}
      end
    end

    def image_or_default(url)
      if url.present?
        raw(url)
      else
        '/defaults/default.jpg'
      end
    end

  end
end