module PagesCms
  class Admin::UploadsController < Admin::AdminController
    def index
      @images = Upload.images
      @files  = Upload.files
    end

    def create
      upload = Upload.new(upload: params[:upload][:upload], name: params[:upload][:name])
      if upload.save
        flash[:success] = 'Successfully uploaded.'
        redirect_to :back
      else
        flash[:danger] = 'Failed to upload.'
        redirect_to :back
      end
    end

    def destroy
      upload = Upload.find(params[:id])
      upload.destroy!
      flash[:success] = 'Successfully deleted.'
      redirect_to :back
    end

  end
end